RuntimeInvisibleAnnotationsAttribute (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: RuntimeInvisibleAnnotationsAttribute
Keywords: java.lang.classfile.attribute.RuntimeInvisibleAnnotationsAttribute interface

Module java.base
Package java.lang.classfile.attributePREVIEW

# Interface RuntimeInvisibleAnnotationsAttribute

All Superinterfaces:
  `AttributePREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW>`, `ClassElementPREVIEW`, `ClassFileElementPREVIEW`, `FieldElementPREVIEW`, `MethodElementPREVIEW`, `WritableElementPREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW>`

public sealed interface RuntimeInvisibleAnnotationsAttribute extends AttributePREVIEW<RuntimeInvisibleAnnotationsAttributePREVIEW>, ClassElementPREVIEW, MethodElementPREVIEW, FieldElementPREVIEW
`RuntimeInvisibleAnnotationsAttribute` is a preview API of the Java platform.
Programs can only use `RuntimeInvisibleAnnotationsAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `RuntimeInvisibleAnnotations` attribute 4.7.17, which can appear on classes, methods, and fields. Delivered as a `ClassElement`PREVIEW, `FieldElement`PREVIEW, or `MethodElement`PREVIEW when traversing the corresponding model type.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

The attribute was introduced in the Java SE Platform version 5.0.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AnnotationPREVIEW>`
  `annotations()`
  Returns the non-runtime-visible annotations on this class, field, or method.
  `static RuntimeInvisibleAnnotationsAttributePREVIEW`
  `of(AnnotationPREVIEW... annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.
  `static RuntimeInvisibleAnnotationsAttributePREVIEW`
  `of(List<AnnotationPREVIEW> annotations)`
  Returns a `RuntimeInvisibleAnnotations` attribute.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### annotations

    List<AnnotationPREVIEW> annotations()
    Returns the non-runtime-visible annotations on this class, field, or method.
    Returns:
      the non-runtime-visible annotations on this class, field, or method

  - ### of

    static RuntimeInvisibleAnnotationsAttributePREVIEW of(List<AnnotationPREVIEW> annotations)
    Returns a `RuntimeInvisibleAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleAnnotations` attribute

  - ### of

    static RuntimeInvisibleAnnotationsAttributePREVIEW of(AnnotationPREVIEW... annotations)
    Returns a `RuntimeInvisibleAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleAnnotations` attribute